#ifndef _SDC_H_
#define _SDC_H_

extern unsigned char SDC_Init(void);

//________________________________________________________________________________________________________________________________________
// 
// Functions needed for access to the sdcard. 
//				
//________________________________________________________________________________________________________________________________________

extern unsigned char 	SSC_GetChar(void);
extern void 			SSC_PutChar(unsigned char);
extern void 			MMC_Read_Block(unsigned char *,unsigned char *,unsigned int);


//________________________________________________________________________________________________________________________________________
// 
// Functions needed internaly for the fat16 implementation 
//				
//________________________________________________________________________________________________________________________________________

extern unsigned char SDC_GetSector (unsigned long,unsigned char *);
extern unsigned char SDC_PutSector (unsigned long,unsigned char *);
extern unsigned char SDC_PutCommand (unsigned char *);
extern void 	      	SDC_GetBlock(unsigned char *CMD,unsigned char *Buffer,unsigned int Bytes);


#define nop()  __asm__ __volatile__ ("nop" ::)

#endif


